2017-11-18 12:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004012Kali Linux[All Projects] General Bugpublic2017-09-21 14:38
Reporterdarkmatter 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version 
Summary0004012: Kali 2017.1 update breaks gui login
DescriptionI updated this morning performing an apt-get update, upgrade, dist-upgrade. After the dist-upgrade was complete there were no errors, I rebooted the system. Once the system rebooted I was presented with the grey screen but no login prompt.

I performed a ctrl-alt F2 and got to the console, where I was able to log in with my credential.

I have tried several solutions from the community but none have worked.

I would prefer not to have to reinstall kali from scratch
Steps To ReproduceApt-get update
apt-get upgrade
apt-get dist-upgrade

reboot
Attached Files

-Relationships
+Relationships

-Notes

~0006675

darkmatter (reporter)

Just did a fresh Install of Kali 2017.1, then I performed an update, upgrade and dist-upgrade. All went well, no errors reported. I rebooted and I got the same results.

I pressed ctrl-alt-F2 and got to the console, logged in, and ran the command dkpg --configure -a. It returned to the command prompt no output.

Last thing in the terminal window I saw before I reboot was Setting up Kali-linux-full (2017.2.0)

~0006677

Senni (reporter)

Are you sure the install media was OK? Seems to be OK for me. Anything in dmesg or error logs?

~0006690

atdtphreaker (reporter)

I'm experiencing the same issue.

~0006692

broomdodger (reporter)

try the weekly update:
http://cdimage.kali.org/kali-images/kali-weekly/

~0006719

darkmatter (reporter)

Just preformed an apt-get upgrade and then an apt-get dist-upgrade. The item from the dist-upgrade was setting up Kali-Linux-full (7.2.0). I rebooted and got the same issue again.

~0006720

darkmatter (reporter)

Nothing in dmesg or logs.

I am downloading the latest image from http://cdimage.kali.org/kali-images/kali-weekly/ I will load that on my system and see what happens.

I will post results once I have it installed.

~0006721

broomdodger (reporter)

Which Kali version from:
http://cdimage.kali.org/kali-images/kali-weekly

e17
kde
light
lxde
mate
xfce

amd64
i386

Are you checking the SHA256SUMS after download?

Do ONLY update and upgrade.
What happens?

I use kali-linux-light-2017-W20-amd64.iso with no problem on many different machines.

~0006722

darkmatter (reporter)

I am using the amd64 iso.

I wrote out a bunch of error messages and then went to submit and there was an error on the site.

Here is what I'm getting.

Loaded kali-linux-2017-W20-amd64 on to a usb drive and booted the live version. It automatically logged in and I get only the background screen no menus or dock. I can right click and get a limited window.

There are no errors in dmesg but the syslog has errors with the following:

gnome-settings failed to grab acdcelerator

gnome-software-service.desktop[1282]: GLib

~0006725

rhertzog (administrator)

Please attach a file with all the messages from "journalctl". A description of a problem that is not reproducible on all machines is not really helpful without log messages.

What video card are you using?

Does it work if you try out a non-GNOME image?

~0006773

sbrun (manager)

I have the grey screen without login prompt only with kernel 4.9.25-1kali1 and only my laptop (Thinkpad) is "closed", on its dock with an external screen.
It's already reported in Debian:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=863257

~0006778

darkmatter (reporter)

I also have a Thinkpad 430 in a dock with the lid closed and an external monitor. The kernel version I have is 4.9.18-kali1.

~0006788

aeloian5 (reporter)

I had a similar issue but may be unrelated. I have an older compaq presario. When I upgraded to the 4.9 kernel (a few months ago) I couldn't login at all. Downgrading to 4.7 kernel fixed the problem. I have a celeron chip not amd though.

~0006982

darkmatter (reporter)

I performed an apt-get dist-upgrade today with my laptop out of the dock and all seemed to work well. Rebooted and I got the login prompt. I docked the laptop in the dock and just saw the background, I typed in my username and password and it logged me, but I only see the background no icons or tools bars.

Fixed by using the following work around.

Add this line to /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="quiet button.lid_init_state=method"

saved the file then ran update-grub then shutdown and docked the laptop. WHen I powered up the loptop I was presented with the login prompt and I was able to log in.

Everything is working well.

Issue resolved.

~0006983

atdtphreaker (reporter)

@darkmatter

A "work around" is not a resolution. So no, this hasn't been resolved.


Thank you.

~0006984

sbrun (manager)

we updated the linux kernel: the new version 4.11.6 fixed this issue for me.

~0006987

atdtphreaker (reporter)

@sbrun

Kernel update fixed issue for me as well.


Thanks.

~0006989

rhertzog (administrator)

Thanks, closing.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-12 19:11 darkmatter New Issue
2017-05-12 21:16 darkmatter Note Added: 0006675
2017-05-12 22:48 Senni Note Added: 0006677
2017-05-15 22:48 atdtphreaker Note Added: 0006690
2017-05-15 23:13 broomdodger Note Added: 0006692
2017-05-18 19:22 darkmatter Note Added: 0006719
2017-05-18 19:26 darkmatter Note Added: 0006720
2017-05-18 19:40 broomdodger Note Added: 0006721
2017-05-18 20:34 darkmatter Note Added: 0006722
2017-05-19 06:59 rhertzog Assigned To => rhertzog
2017-05-19 06:59 rhertzog Status new => feedback
2017-05-19 06:59 rhertzog Note Added: 0006725
2017-05-30 12:51 sbrun Note Added: 0006773
2017-05-30 17:12 darkmatter Note Added: 0006778
2017-05-30 17:12 darkmatter Status feedback => assigned
2017-06-04 22:21 aeloian5 Note Added: 0006788
2017-08-09 22:21 darkmatter Note Added: 0006982
2017-08-09 22:55 atdtphreaker Note Added: 0006983
2017-08-11 18:36 sbrun Note Added: 0006984
2017-08-11 23:47 atdtphreaker Note Added: 0006987
2017-08-12 09:52 rhertzog Status assigned => resolved
2017-08-12 09:52 rhertzog Resolution open => fixed
2017-08-12 09:52 rhertzog Note Added: 0006989
+Issue History